Subject: bug#9031: closed (Installed rest of patch)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 10 Jul 2011 05:22:01 +0000

Your bug report

#9031: Unused vars etc. in chartab.c, composite.c, gtkutil.c

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
9031: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9031
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Installed rest of patch
From: Paul Eggert <[email-masked]>
To: [email-masked]
Date: Sat, 09 Jul 2011 22:21:27 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

I see that I was too cautious, in that some of my patch
was derived independently and installed into the trunk
as part of bzr 105059.  I just now installed the rest of
the patch and am marking this bug report as done.

Subject: Unused vars etc. in chartab.c, composite.c, gtkutil.c
From: Paul Eggert <[email-masked]>
To: [email-masked]
Date: Fri, 08 Jul 2011 23:32:24 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

This patch fixes some minor problems on the Emacs trunk.

Normally I'd just install this, but we're in a feature freeze
now and this patch doesn't fix any actual bugs, so I'm filing
a bug report instead, to record the issues.

# Bazaar merge directive format 2 (Bazaar 0.90)
# revision_id: [email-masked]
# target_branch: bzr+ssh://[email-masked]/emacs/trunk
# testament_sha1: 935c16305b271d2f38af33043c16de6e23c306ca
# timestamp: 2011-07-08 23:28:47 -0700
# base_revision_id: [email-masked]
# 
# Begin patch
=== modified file 'src/ChangeLog'
--- src/ChangeLog	2011-07-08 20:39:30 +0000
+++ src/ChangeLog	2011-07-09 06:28:40 +0000
@@ -1,5 +1,12 @@
 2011-07-08  Paul Eggert  <[email-masked]>
 
+	Fix minor problems found by static checking.
+	* chartab.c (char_table_set_range, map_sub_char_table)
+	(uniprop_table_uncompress): Remove unused locals.
+	(uniprop_table): Now static.
+	* composite.c (_work_char): Remove unused static var.
+	* gtkutil.c (qttip_cb): Remove stray no-effect statement.
+
 	Use pthread_sigmask, not sigprocmask (Bug#9010).
 	sigprocmask is portable only for single-threaded applications, and
 	Emacs can be multi-threaded when it uses GTK.

=== modified file 'src/chartab.c'
--- src/chartab.c	2011-07-07 04:16:52 +0000
+++ src/chartab.c	2011-07-09 06:28:40 +0000
@@ -485,7 +485,6 @@
 char_table_set_range (Lisp_Object table, int from, int to, Lisp_Object val)
 {
   struct Lisp_Char_Table *tbl = XCHAR_TABLE (table);
-  Lisp_Object *contents = tbl->contents;
 
   if (from == to)
     char_table_set (table, from, val);
@@ -759,8 +758,6 @@
 		    Lisp_Object function, Lisp_Object table, Lisp_Object arg, Lisp_Object val,
 		    Lisp_Object range, Lisp_Object top)
 {
-  /* Pointer to the elements of TABLE. */
-  Lisp_Object *contents;
   /* Depth of TABLE.  */
   int depth;
   /* Minimum and maxinum characters covered by TABLE. */
@@ -777,14 +774,12 @@
       struct Lisp_Sub_Char_Table *tbl = XSUB_CHAR_TABLE (table);
 
       depth = XINT (tbl->depth);
-      contents = tbl->contents;
       min_char = XINT (tbl->min_char);
       max_char = min_char + chartab_chars[depth - 1] - 1;
     }
   else
     {
       depth = 0;
-      contents = XCHAR_TABLE (table)->contents;
       min_char = 0;
       max_char = MAX_CHAR;
     }
@@ -1143,7 +1138,6 @@
   Lisp_Object sub = make_sub_char_table (3, min_char, Qnil);
   struct Lisp_Sub_Char_Table *subtbl = XSUB_CHAR_TABLE (sub);
   const unsigned char *p, *pend;
-  int i;
 
   XSUB_CHAR_TABLE (table)->contents[idx] = sub;
   p = SDATA (val), pend = p + SBYTES (val);
@@ -1316,7 +1310,7 @@
    function may load a Lisp file and thus may cause
    garbage-collection.  */
 
-Lisp_Object
+static Lisp_Object
 uniprop_table (Lisp_Object prop)
 {
   Lisp_Object val, table, result;

=== modified file 'src/composite.c'
--- src/composite.c	2011-07-07 16:18:25 +0000
+++ src/composite.c	2011-07-09 06:28:40 +0000
@@ -967,7 +967,6 @@
 }
 
 static Lisp_Object _work_val;
-static int _work_char;
 
 /* 1 iff the character C is composable.  Characters of general
    category Z? or C? are not composable except for ZWNJ and ZWJ. */

=== modified file 'src/gtkutil.c'
--- src/gtkutil.c	2011-07-08 17:57:55 +0000
+++ src/gtkutil.c	2011-07-09 06:28:40 +0000
@@ -647,7 +647,6 @@
       /* Change stupid Gtk+ default line wrapping.  */
       p = gtk_widget_get_parent (x->ttip_lbl);
       list = gtk_container_get_children (GTK_CONTAINER (p));
-      iter;
       for (iter = list; iter; iter = g_list_next (iter))
         {
           GtkWidget *w = GTK_WIDGET (iter->data);

# Begin bundle